---
title: "Get list of callbacks"
url: "https://docs.signnow.com/docs/callbacks-info/operations/get-v2-event-subscriptions-callbacks"
type: "endpoint"
section: "callbacks-info"
slug: "callbacks-info/operations/get-v2-event-subscriptions-callbacks"
method: "GET"
path: "/v2/event-subscriptions/callbacks"
operation_id: "get-v2-event-subscriptions-callbacks"
authorization: "bearer"
---

# Get list of callbacks

`GET /v2/event-subscriptions/callbacks`

This endpoint allows API users to get the history of webhook callbacks sent for their event subscriptions. Each item contains the event, the callback request and the response returned by the callback URL.

**Notes**

* The results can be filtered and sorted with the `filters` and `sort` query parameters.
* If `sort` is not set, the results are sorted by `start_time` in descending order.
* The results are paginated. Use the links in `meta.pagination.links` to get the adjacent pages.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `sort:end_time` | string | No | Sort results by the end time. Possible values: asc, desc. Format: `?sort[end_time]=desc` |
| `sort:start_time` | string | No | Sort results by the start type. Possible values: asc, desc. Format: `?sort[start_time]=desc` |
| `sort:code` | string | No | Sort results by the response code. Possible values: asc, desc. Format: `?sort[code]=desc` |
| `sort:event` | string | No | Sort results by the specific type of event (from A to Z). Possible values: asc, desc. Format: `?sort[event]=desc` |
| `sort:application` | string | No | Sort results by the application name (from A to Z). Possible values: asc, desc. Format: `?sort[application]=desc` |
| `filters:entity_id, callback_url, initiator_id` | string | No | Search for a string in entity IDs, callback URLs, and initiator IDs. Format: `?filters=[{"_OR":[{"entity_id":{"type":"like","value":"21a28b47"}},{"callback_url":{"type":"like","value":"21a28b47"}},{"initiator_id":{"type":"like","value":"21a28b47"}}]}]` |
| `filters:date` | string | No | Filter results by the timestamps. Format: `?filters=[{"date":{"type":"between","value":[1580719773,1580720509]}}]` |
| `filters:code` | string | No | Filter results by the response codes. Format: `?filters=[{"code":{"type": "between", "value":[199,299]}}]` |
| `filters:event` | string | No | Filter results by the specific type of event. Format: `?filters=[{"event":{"type": "in", "value":["document.create", "document.update"]}}]` |
| `filters:event_type` | string | No | Filter results by the event type. Possible values: 'user', 'document', 'document_group'. Format: `?filters=[{"event_type":{"type": "in", "value":["user", "document", "document_group"]}}]` |
| `filters:application` | string | No | Filter results by the application. Format: `?filters=[{"application":{"type": "in", "value":["applicationUniqueId1", "applicationUniqueId2"]}}]` |

## Request Body

**Schema**

```json
{
  "type": "object"
}
```

## Responses

### 200

Returns a paginated list of callback requests sent for the user's event subscriptions, with request and response details for each.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "2a2998b51f3d16a999b7d10e2d6db0af7ed81a65",
      "duration": 0.3825,
      "entity_id": "0285088abdb3aca33283a12b02bea3fc6898c905",
      "event_name": "document_group.invite.create",
      "entity_type": "document_group",
      "callback_url": "https://example.com/callback",
      "request_method": "post",
      "request_content": {
        "meta": {
          "event": "document_group.invite.create",
          "timestamp": 1792417045,
          "environment": "https://api.signnow.com",
          "access_token": "********",
          "callback_url": "https://example.com/callback",
          "initiator_id": "35b9c32390bd97ad45fa9cc28d061dfa6bf24c32"
        },
        "content": {
          "status": "pending",
          "group_id": "0285088abdb3aca33283a12b02bea3fc6898c905",
          "step_order": 1,
          "group_invite_id": "2a28fd3118acdac07b5790b00cd5987b3504d349"
        }
      },
      "request_headers": [],
      "application_name": "My application",
      "request_end_time": 1792417060,
      "response_content": "{\"status\":\"accepted\"}",
      "request_start_time": 1792417060,
      "response_status_code": 202,
      "event_subscription_id": "5c882f5c3dc38e40987f47c4cf9bc7d90360b46d",
      "event_subscription_active": true,
      "event_subscription_owner_email": "user@example.com"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": {
        "next": "https://api.signnow.com/v2/event-subscriptions/callbacks?page=2"
      },
      "total": 829,
      "per_page": 1,
      "total_pages": 829,
      "current_page": 1
    }
  }
}
```

### 400

* Incorrect filter format (each filter must contain type and value fields).
* Incorrect filter expression (must be a string).
* Incorrect `application`, `event`, or `event_type` filter expression (must be `"type": "in"`).
* Incorrect `code` or `date` filter expression (must be `"type": "between"`).
* Incorrect `entity_id`, `callback_url`, or `initiator_id` filter expression (must be `"type": "like"`).
* Incorrect `application`, `event_type`, or `event` filter value (must be an array of strings).
* Incorrect `application` filter value item (must be 40 symbols long or shorter and can contain only lowercase latin letters and digits).
* Incorrect `event_type` filter value item (allowed values are `document`, `document_group`, `user`, and `template`).
* Incorrect `event` filter value item (allowed values are listed [here](/docs/guides-webhooks#entity-events)).
* Incorrect `code` or `date` filter value (must be an array of 2 integers).
* Incorrect `entity_id`, `callback_url`, or `initiator_id` filter value (must be a string).


**Example** (`Incorrect filter format`)

```json
{
  "errors": [
    {
      "code": 15006011,
      "message": "Invalid filter format, filter must have `type` and `value` fields."
    }
  ]
}
```

**Example** (`Incorrect code filter value`)

```json
{
  "errors": [
    {
      "code": 15006015,
      "message": "The `code` filter value must be of type array with 2 integer."
    }
  ]
}
```

**Example** (`Incorrect date filter value`)

```json
{
  "errors": [
    {
      "code": 15006018,
      "message": "The `date` filter value must be of type array with 2 integer."
    }
  ]
}
```

**Example** (`Incorrect filter expression`)

```json
{
  "errors": [
    {
      "code": 15006012,
      "message": "Invalid filter format, filter `type` must be a string."
    }
  ]
}
```

**Example** (`Incorrect event filter value`)

```json
{
  "errors": [
    {
      "code": 15006033,
      "message": "The `event` filter value must be an array of strings."
    }
  ]
}
```

**Example** (`Incorrect code filter expression`)

```json
{
  "errors": [
    {
      "code": 15006013,
      "message": "The `code` filter expression must be equal to `between`."
    }
  ]
}
```

**Example** (`Incorrect date filter expression`)

```json
{
  "errors": [
    {
      "code": 15006016,
      "message": "The `date` filter expression must be equal to `between`."
    }
  ]
}
```

**Example** (`Incorrect entity_id filter value`)

```json
{
  "errors": [
    {
      "code": 15006020,
      "message": "The `entity_id` filter value must be a string."
    }
  ]
}
```

**Example** (`Incorrect event filter expression`)

```json
{
  "errors": [
    {
      "code": 15006031,
      "message": "The `event` filter expression must be equal to `in`"
    }
  ]
}
```

**Example** (`Incorrect event filter value item`)

```json
{
  "errors": [
    {
      "code": 15006034,
      "message": "The `event` must be one of valid events."
    }
  ]
}
```

**Example** (`Incorrect event_type filter value`)

```json
{
  "errors": [
    {
      "code": 15006029,
      "message": "The `event_type` filter value must be an array of strings."
    }
  ]
}
```

**Example** (`Incorrect application filter value`)

```json
{
  "errors": [
    {
      "code": 15006023,
      "message": "The `application` filter value should be an array of strings."
    }
  ]
}
```

**Example** (`Incorrect callback_url filter value`)

```json
{
  "errors": [
    {
      "code": 15006025,
      "message": "The `callback_url` filter value must be a string."
    }
  ]
}
```

**Example** (`Incorrect initiator_id filter value`)

```json
{
  "errors": [
    {
      "code": 15006027,
      "message": "The `initiator_id` filter value must be a string."
    }
  ]
}
```

**Example** (`Incorrect entity_id filter expression`)

```json
{
  "errors": [
    {
      "code": 15006019,
      "message": "The `entity_id` filter expression must be equal to `like`."
    }
  ]
}
```

**Example** (`Incorrect event_type filter expression`)

```json
{
  "errors": [
    {
      "code": 15006037,
      "message": "The `event_type` filter expression must be equal to `in`."
    }
  ]
}
```

**Example** (`Incorrect event_type filter value item`)

```json
{
  "errors": [
    {
      "code": 15006030,
      "message": "The `event_type` must be one of 'document', 'document_group', 'user', 'template'."
    }
  ]
}
```

**Example** (`Incorrect application filter expression`)

```json
{
  "errors": [
    {
      "code": 15006021,
      "message": "The `application` filter expression must be equal to `in`."
    }
  ]
}
```

**Example** (`Incorrect application filter value item`)

```json
{
  "errors": [
    {
      "code": 15006036,
      "message": "The `application` filter item length must be 40 and it should contain only characters in [a-z0-9]."
    }
  ]
}
```

**Example** (`Incorrect callback_url filter expression`)

```json
{
  "errors": [
    {
      "code": 15006024,
      "message": "The `callback_url` filter expression must be equal to `like`."
    }
  ]
}
```

**Example** (`Incorrect initiator_id filter expression`)

```json
{
  "errors": [
    {
      "code": 15006026,
      "message": "The `initiator_id` filter expression must be equal to `like`."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/event-subscriptions/callbacks" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/callbacks-info/operations/get-v2-event-subscriptions-callbacks*
